sample8.cpp File Reference

Example: bvector<> - STL interoperability. More...

`#include <iostream>`
`#include <algorithm>`
`#include <vector>`
`#include <list>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample8.cpp:

Go to the source code of this file.

## Functions

void | Print (bm::bvector<>::size_type n)
template<class T>
void | PrintContainer (T first, T last)
int | main (void)

## Detailed Description

Example: bvector<> - STL interoperability.

Definition in file sample8.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 66 of file sample8.cpp.

References bm::bvector< Alloc >::count(), bm::bvector< Alloc >::end(), bm::bvector< Alloc >::first(), bm::bvector< Alloc >::inserter(), and PrintContainer().

## Print()

void Print | ( | bm::bvector<>::size_type | n | ) |

inline

Definition at line 50 of file sample8.cpp.

## PrintContainer()

template<class T>

void PrintContainer | ( | T | first,
|  | T | last )

Definition at line 56 of file sample8.cpp.

Referenced by main().